Subject: [bug#39258] [PATCH 2/4] ui: Use string matching with literal search strings.

From: Arun Isaac <[email-masked]>
Date: Tue, 16 Jun 2020 01:48:31 +0530

>> So, shall I push the remaining patches (patches 1, 3, 4) after applying
>> the change you suggested for patch 1 (use of if versus cond)?
>
> Yes, definitely!

Done!

>>>> * guix/scripts/package.scm (process-query): Make search query a regexp only if
>>>> it is not a literal search string.
>>>> * guix/ui.scm (relevance): Use string matching with literal search strings and
>>>> regexp matching with regexp search strings.
>>>
>>> How does this affect performance?
>
> (To be clear, I’m referring specifically to this patch.)

Oh, I misunderstood. Here are the results specifically comparing patch 2
against the latest master (that includes the patches 1, 3 and 4 I just
pushed). All readings are on a warm cache.

|----------------------------------+--------+-------|
| query                            | before | after |
|----------------------------------+--------+-------|
| guix search strategy game        |    2.1 |   1.7 |
| guix search strategy game caesar |    1.8 |   1.5 |
|----------------------------------+--------+-------|